Главная » Статьи для тега "КОМПАС"

Поворот Постановка задачи – КОМПАС в DELPHI

Добавлено Дата: 12 July, 2013 категория: Delphi, OLE, САПР

Предположим, что вам нужно построить повернутый равнобедренный треугольник:

Можно конечно вспомнить школьный курс геометрии и вычислить координаты вершин этого треугольника после поворота. А можно поступить

Читать »

Иерархия интерфейсов в 3D – КОМПАС в DELPHI

Добавлено Дата: 6 July, 2013 категория: Delphi, OLE, САПР

Документ (ksDocument3D)

Как уже говорилось, в предыдущей главе интерфейс ksDocument3D служит для описания документа, содержащего 3D-модель (деталь) или сборку.

Для определения того, что именно описывает конкретный интерфейс ksDocument3D, используется метод IsDetail() этого интерфейса. В том случае, если  описываемый  интерфейсом  документ  содержит  3D-модель  (деталь),

Читать »

Раздел и объекты спецификации – КОМПАС в DELPHI

Добавлено Дата: 25 June, 2013 категория: Delphi, OLE, САПР

Интерфейс ksSpecification

Работа со спецификацией осуществляется посредством интерфейса ksSpecification. Получить его можно с помощью метода  GetSpecification() интерфейса ksSpcDocument.

Интерфейс ksSpecification не имеет свойств. Рассматривать все его методы мы не будем. В этой и следующей главе мы рассмотрим лишь основные его методы, используемые при работе со спецификациями.

Читать »

Виды Системы координат КОМПАС в DELPHI

Добавлено Дата: 20 June, 2013 категория: Delphi, OLE, САПР

В среде КОМПАС существует две разновидности систем координат (далее сокращенно СК): СК листа и СК вида. В чем между ними разница? Прежде чем ответить на этот вопрос сделаем небольшое замечание по поводу направления координатных осей.

Большинство программистов, занимающихся программированием компьютерной графики, наверное, уже привыкли к тому, что точка начала координат находится в левом верхнем углу экрана, а ось ординат направлена вниз. При разработке приложений под КОМПАС им придется обратно привыкать к традиционной системе координат, то есть к такой, начало которой расположено в левом нижнем углу, а ось ординат направлена вверх.

Читать »

Построение перпендикуляра к отрезку – КОМПАС в DELPHI

Добавлено Дата: 13 June, 2013 категория: Delphi, OLE, САПР

 

Постановка задачи

Рассмотрим такую задачу: предположим у нас есть какой-то отрезок. Как построить перпендикуляр к этому отрезку, проходящий через заданную точку?

Если мы имеем дело с горизонтальным или вертикальным отрезком, то это не проблема: строим вертикальный или горизонтальный отрезок. Но как быть, если изначальный отрезок ориентирован произвольным образом. Тогда есть два выбора:

Читать »

Подключение к КОМПАСу из DELPHI

Добавлено Дата: 31 May, 2013 категория: Delphi, OLE, САПР

Для того чтобы работать с КОМПАСом нам нужно сначала как-то к нему подключиться.

Сама система КОМПАС предоставляет интерфейс KompasObject. Это ключевой интерфейс системы, из которого могут быть получены все другие. Получить этот интерфейс можно с помощью функции CreateOleObject, описанной в модуле ComObj. Вот прототип этой функции:

Читать »

Зеркальное отображение детали относительно плоскости – КОМПАС в DELPHI

Добавлено Дата: 30 May, 2013 категория: Delphi, OLE, САПР

Параметры зеркального отображения относительно плоскости (ksMirrorCopyAllDefinition)

Согласно документации КОМПАС параметры зеркального отображения относительно плоскости описываются интерфейсом ksMirrorAllDefinition. Однако в модуле ksTLB.pas его нет. Вместо него в этом модуле описан интерфейс ksMirrorCopyAllDefinition с тем же прототипом. В более новых версиях КОМПАС (11 и 13) данная оплошность исправлена.

Читать »

Операция «сечение плоскостью» – КОМПАС в DELPHI

Добавлено Дата: 28 May, 2013 категория: Delphi, OLE, САПР

Параметры операции «сечение плоскостью» (ksCutByPlaneDefinition)

Параметры операции «сечение плоскостью» задаются с помощью интерфейса ksCutByPlaneDefinition. Его возвращает метод GetDefinition() интерфейса ksEntity, описывающего эту операцию. Рассмотрим свойства интерфейса ksCutByPlaneDefinition.

Читать »

Штриховка. Способ первый – КОМПАС в DELPHI

Добавлено Дата: 28 May, 2013 категория: Delphi, OLE, САПР

Построение штриховки

Построение штриховки осуществляется в три этапа:

1)                                               Осуществляется инициация процесса построения штриховки. Для этого вызывается метод ksHatch интерфейса ksDocument2D. На этом этапе определяются основные параметры штриховки (стиль, шаг, угол наклона штриховых линий).

Читать »

Операция «сечение эскизом» – КОМПАС в DELPHI

Добавлено Дата: 23 May, 2013 категория: Delphi, OLE, САПР

Параметры операции «сечение эскизом» (ksCutBySketchDefinition)

Параметры операции «сечение эскизом» задаются с помощью интерфейса ksCutBySketchDefinition. Его возвращает метод GetDefinition() интерфейса ksEntity, описывающего данную операцию. Рассмотрим свойства интерфейса ksCutBySketchDefinition.

Читать »